org.apache.ivy.osgi.repo

## Class ManifestAndLocation

- java.lang.Object
- - org.apache.ivy.osgi.repo.ManifestAndLocation

    public class ManifestAndLocation
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ManifestAndLocation(java.util.jar.Manifest manifest, java.net.URI uri, java.net.URI sourceURI)`

### Method Summary

Methods
`java.util.jar.Manifest` `getManifest()`
`java.net.URI` `getSourceURI()`
`java.net.URI` `getUri()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManifestAndLocation

    public ManifestAndLocation(java.util.jar.Manifest manifest,
                       java.net.URI uri,
                       java.net.URI sourceURI)

### Method Detail

#### getUri

    public java.net.URI getUri()

#### getManifest

    public java.util.jar.Manifest getManifest()

#### getSourceURI

    public java.net.URI getSourceURI()